Xcode support for 3.1 device?

Discussion in 'iOS Programming' started by Locker, Sep 9, 2009.

  1. Locker macrumors 6502

    Joined:
    Aug 22, 2007
    Location:
    Staffordshire, UK
    #1
    So, I have a fresh installation of Snow Leopard, the latest version of Xcode and iPhone SDK 3.0. I've just upgraded my phone to the newly released 3.1 software the in Xcode the organiser is showing the following:

    "The version of iPhone OS on “Mark Locker’s iPhone” does not match any of the versions of iPhone OS supported for development with this copy of Xcode. Please restore the device to a version of the OS listed below. If necessary, the latest version of Xcode is available here."

    The list is as follows:

    OS Installed on Mark Locker’s iPhone
    3.1 (7C144)

    Xcode Supported iPhone OS Versions
    3.0 (7A341)
    2.2.1
    2.2
    2.1.1
    2.1
    2.0.2 (5C1)
    2.0.1 (5B108)
    2.0 (5A347)
    2.0 (5A345)

    I think I've had this kind of problem before with previous software updates but I can't remember for the life of me what I need to do...
     
  2. sesnir macrumors 6502

    Joined:
    Sep 21, 2008
    #2
    You'll have to redownload the entire SDK for 3.1... only it's not posted yet. I hope they post it today. It'll be on the iPhone Dev Center.
     
  3. dejo Moderator

    dejo

    Staff Member

    Joined:
    Sep 2, 2004
    Location:
    The Centennial State
    #3
    You sure you have the latest version of the iPhone SDK? With Xcode 3.1.4?

    Seems posted to me. Just finished installing it and redeploying an app to my iPod touch which is now on OS 3.1.1.
     
  4. sesnir macrumors 6502

    Joined:
    Sep 21, 2008
    #4
    Where? I only see 3.0 and 3.1 beta 3...

    edit: Whoa... I went to the iPhone Dev Center in FireFox and it showed up hah... stupid Safari :p I'll clear all my caches and see if it shows up.
     
  5. dshanley macrumors newbie

    Joined:
    Sep 10, 2009
    #5
    Symlink

    There was an Apple bulletin about this regarding OS update 3.0.1. This works for Xcode 3.1.3, and I bet it will work under SL and 3.2:

    ln -s /Developer/Platforms/iPhoneOS.platform/DeviceSupport/3.0\ \(7A341\) /Developer/Platforms/iPhoneOS.platform/DeviceSupport/3.1

    Note that it just points the device supported SDKs to your current SDK (here creating a link from 3.1 to the actual 3.0 sdk)
     
  6. TodVader macrumors 6502a

    TodVader

    Joined:
    Sep 27, 2005
    Location:
    Quebec, Canada
    #6
    I updated my iPod to 3.1 and downloaded the new SDK. Everything works fine but there are some changes to the SDK that I don't like.
    Autocomplete doesn't act the same, it adds too much stuff automatically. I'll have to go play with the settings. Some other things changed too.
     
  7. Darkroom Guest

    Darkroom

    Joined:
    Dec 15, 2006
    Location:
    Montréal, Canada
    #7
    one thing i noticed is that the Documentation acts strange. if you Option+Click on a method you want info about in your code, the documentation loads up and brings you there. but now the list of tasks seem to have a mouseover detection making them impossible to click, as the mouseover brings you to where the documentation first loaded. i find i have highlight some text to make the mouseover go away.
     

Share This Page